Merge branch 'vendor/OPENSSL'
[dragonfly.git] / crypto / openssl / crypto / engine / eng_cryptodev.c
index 5a715ac..0d12654 100644 (file)
@@ -32,9 +32,9 @@
 #include <openssl/bn.h>
 
 #if (defined(__unix__) || defined(unix)) && !defined(USG) && \
-       (defined(OpenBSD) || defined(__FreeBSD__))
+       (defined(OpenBSD) || defined(__FreeBSD__) || defined(__DragonFly__))
 #include <sys/param.h>
-# if (OpenBSD >= 200112) || ((__FreeBSD_version >= 470101 && __FreeBSD_version < 500000) || __FreeBSD_version >= 500041)
+# if (OpenBSD >= 200112) || ((__FreeBSD_version >= 470101 && __FreeBSD_version < 500000) || __FreeBSD_version >= 500041) || (__DragonFly_version >= 200500)
 #  define HAVE_CRYPTODEV
 # endif
 # if (OpenBSD >= 200110)